ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Parser.Lexer.Interface

Contents

- Helpers

Description

This module defines the types and functions necessary for an Alex-generated lexer.

https://haskell-alex.readthedocs.io/en/latest/api.html#

Synopsis

- data AlexInput = AI !PsLoc !StringBuffer
- alexGetByte :: AlexInput -> Maybe (Word8, AlexInput)
- alexInputPrevChar :: AlexInput -> Char
- alexGetChar :: AlexInput -> Maybe (Char, AlexInput)
- adjustChar :: Char -> Word8

# Documentation

data AlexInput #

Constructors

AI !PsLoc !StringBuffer |

#### Instances

Instances details

Show AlexInput # |
Instance details Defined in GHC.Parser.Lexer.Interface Methods showsPrec :: Int -> AlexInput -> ShowS # show :: AlexInput -> String # showList :: [AlexInput] -> ShowS #

alexGetByte :: AlexInput -> Maybe (Word8, AlexInput) #

alexInputPrevChar :: AlexInput -> Char #

# Helpers

alexGetChar :: AlexInput -> Maybe (Char, AlexInput) #

adjustChar :: Char -> Word8 #